---
- name: Destroy Headlamp
  hosts: "{{ target_hosts }}"
  vars:
    target_hosts: localhost
  pre_tasks:
    - name: Check k8s_kubeconfig
      ansible.builtin.debug:
        var: k8s_kubeconfig
  tasks:
    - name: Destroy Headlamp
      ansible.builtin.import_role:
        name: ska_collections.k8s.headlamp
        tasks_from: destroy
  environment:
    KUBECONFIG: "{{ k8s_kubeconfig | default(lookup('ansible.builtin.env', 'KUBECONFIG', default='/etc/kubernetes/admin.conf')) }}"
  tags:
    - headlamp
